Bug 102437 - Unbreak port: math/vtk-python
Summary: Unbreak port: math/vtk-python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-23 16:20 UTC by fmysh
Modified: 2006-10-07 00:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (824 bytes, patch)
2006-08-23 16:20 UTC, fmysh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fmysh 2006-08-23 16:20:21 UTC
	Unbreak math/vtk-python.

How-To-Repeat: 
# make configure

 (snip)

CMake Error: Attempt to add link target vtkCommonPython of type: MODULE_LIBRARY
to target vtkFilteringPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkFilteringPython of type: MODULE_LIBRARY
to target vtkImagingPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkFilteringPython of type: MODULE_LIBRARY
to target vtkGraphicsPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkFilteringPython of type: MODULE_LIBRARY
to target vtkIOPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkGraphicsPython of type: MODULE_LIBRARY
to target vtkRenderingPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkImagingPython of type: MODULE_LIBRARY
to target vtkRenderingPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkRenderingPython of type: MODULE_LIBRARY
to target vtkHybridPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkIOPython of type: MODULE_LIBRARY
to target vtkHybridPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkGraphicsPython of type: MODULE_LIBRARY
to target vtkPatentedPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkImagingPython of type: MODULE_LIBRARY
to target vtkPatentedPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkRenderingPython of type: MODULE_LIBRARY
to target vtkParallelPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

CMake Error: Attempt to add link target vtkIOPython of type: MODULE_LIBRARY
to target vtkParallelPython. You can only link to STATIC or SHARED libraries.
To allow linking of modules set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 or lower

-- Configuring done
*** Error code 255

Stop in /usr/ports/math/vtk-python.
Comment 1 Edwin Groothuis freebsd_committer 2006-08-23 16:20:34 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Mykola Khotyaintsev 2006-08-23 16:47:34 UTC
Unfortunately I can not look at this bug fix right now, sorry.
Comment 3 Thierry Thomas freebsd_committer 2006-10-06 23:58:59 UTC
State Changed
From-To: feedback->closed


Committed, thanks!
Comment 4 dfilter service freebsd_committer 2006-10-06 23:59:03 UTC
thierry     2006-10-06 22:58:57 UTC

  FreeBSD ports repository

  Modified files:
    math/vtk-python      Makefile 
  Log:
  Set CMAKE_BACKWARDS_COMPATIBILITY to 2.2 and unbreak.
  
  PR:             ports/102437
  Submitted by:   TAOKA Fumiyoshi <fmysh (at) iijmio-mail.jp>
  Approved by:    maintainer's time-out (since 23 Aug 2006)
  
  Revision  Changes    Path
  1.6       +2 -5      ports/math/vtk-python/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"